APIDashboards
Update a dashboard
Save the next revision from a complete edited MDX document. DashboardMeta.editBase must name the revision you edited (from dashboards.get or the last create/update); if the dashboard changed since, the update is rejected with 409 and the current revision so you can reconcile.
PATCH https://api.sazabi.com/v1/dashboards/{id}
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "input": { "source": "string" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": -9007199254740991, "definitionHash": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "editBase": { "organizationId": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "dashboardId": "c82e502a-6fd0-41b6-83a8-d9fffe188952", "revision": -9007199254740991 }}